Package ec

# Class Initializer

java.lang.Object
ec.Initializer

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

Direct Known Subclasses:
  `SimpleInitializer`

public abstract class Initializer extends Object implements Singleton
The Initializer is a singleton object whose job is to initialize the population at the beginning of the run. It does this by providing a population through the initialPopulation(...) method.

Parameters

`pop` classname, inherits or = ec.Population | (the class for a new population)

Parameter bases

`pop` | The base for a new population's set up parameters

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `P_POP`
  parameter for a new population

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Initializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Population`
  `initialPopulation(EvolutionState state, int thread)`
  Creates and returns a new initial population for the evolutionary run.
  `abstract Population`
  `setupPopulation(EvolutionState state, int thread)`
  Loads a Population from the parameter file, sets it up, and returns it.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ec.Setup

  `setup`

- ## Field Details

  - ### P_POP

    public static final String P_POP
    parameter for a new population
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Initializer

    public Initializer()

- ## Method Details

  - ### initialPopulation

    public abstract Population initialPopulation(EvolutionState state, int thread)
    Creates and returns a new initial population for the evolutionary run. This is commonly done by setting up a Population (by calling setupPopulation below) then calling its populate() method. This method will likely only be called once in a run.

  - ### setupPopulation

    public abstract Population setupPopulation(EvolutionState state, int thread)
    Loads a Population from the parameter file, sets it up, and returns it.